> For the complete documentation index, see [llms.txt](https://lumiwavelab.gitbook.io/internal-inno-platform-doc-kr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://lumiwavelab.gitbook.io/internal-inno-platform-doc-kr/reference/api-reference-v2/inno-market/nft-merge/nft-1.md).

# NFT 합성 시작

<mark style="color:green;">`POST`</mark> `https://{market-domain}/v1.0/nft/merge`

#### Headers

| Name                                            | Type   | Description                   |
| ----------------------------------------------- | ------ | ----------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer eyJhbGciOiJIUzI1NiI... |

#### Request Body

| Name                                            | Type         | Description    |
| ----------------------------------------------- | ------------ | -------------- |
| merge\_info<mark style="color:red;">\*</mark>   | object array | 합성할 NFT 아이템 배열 |
| nft\_pack\_id<mark style="color:red;">\*</mark> | int64        | NFT pack id    |
| nft\_id<mark style="color:red;">\*</mark>       | int64        | NFT id         |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "return": 0,
    "message": "success",
    "value": {
        "nft_id": 2001721,
        "nft_pack_id": 200438,
        "transfer_id": 196
    }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Example Curl" %}

```powershell
curl --location 'https://dev.onbuff.com:51071/v1.0/nft/merge' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiI...' \
--header 'Content-Type: application/json' \
--data '{
    "merge_info": [
        {
            "nft_pack_id" : 200458,
            "nft_id" : 2002504
        },
        {
            "nft_pack_id" : 200458,
            "nft_id" : 2002505
        }
    ]
}'
```

{% endtab %}

{% tab title="Response Value" %}

<table><thead><tr><th width="173.33333333333331">key</th><th width="180.93023255813955">data type</th><th>desc.</th></tr></thead><tbody><tr><td>nft_id</td><td>int64</td><td>합성 결과물의 NFT ID</td></tr><tr><td>nft_pack_id</td><td>int64</td><td>합성 결과물의 NFT PACK ID</td></tr><tr><td>transfer_id</td><td>int64</td><td>NOT USED</td></tr></tbody></table>
{% endtab %}

{% tab title="Result Code" %}

| return        | message                                                | desc.                        |
| ------------- | ------------------------------------------------------ | ---------------------------- |
| 0             | success                                                | 성공                           |
| 500           | internal server error                                  | 내부 서버 에러                     |
| 62002         | redis write error                                      | 레디스 기록 실패                    |
| 64102         | Invalid Parameter 'pack\_id'                           | 유효하지 않은 nft\_pack\_id        |
| 64118         | The coinid to merge is different.                      | 합성재료들의 NFT의 coin id가 서로 다르다. |
| 64119         | The gradeID to merge is different.                     | 합성 재료들의 grade id가 서로 다른다.    |
| 64120         | Cannot synthesize the same NFTID between them          | 같은 NFT ID 끼리 합성 불가           |
| 64035         | Failed to load nft withdraw fee                        | 합성 수수료 조회 실패                 |
| 64036         | Failed to modify coin quantity                         | 코인량 변경 실패                    |
| 64037         | Failed to merge start                                  | 합성 시작 실패                     |
| 64205         | Not Enough Gas Quantity                                | 합성에 필요한 수수료가 부족하다.           |
| 64210         | No appid assigned to nftpack                           | NFTPack에 appID가 할당되어 있지 않다.  |
| 64211         | Incorrect for The number of merge material information | 합성 재료의 개수가 맞지 않다.            |
| 64212         | Wait until the synthesis in progress is complete.      | 진행 중인 합성이 끝날때까지 기다려라         |
| 64213         | merge lost, Try next time                              | 합성 당첨 실패                     |
| {% endtab %}  |                                                        |                              |
| {% endtabs %} |                                                        |                              |
